org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtCacheEntry.ReaderId

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtCacheEntry.ReaderId

Enclosing class:
  GridDhtCacheEntry

    public static class GridDhtCacheEntry.ReaderId
    extends Object

Reader ID.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static boolean` `contains(GridDhtCacheEntry.ReaderId[] readers, UUID nodeId)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`UUID` `nodeId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### contains

    public static boolean contains(@Nullable
                                   GridDhtCacheEntry.ReaderId[] readers,
                                   UUID nodeId)

Parameters:
  `readers` - Readers array.
  `nodeId` - Node ID to check.
Returns:
  `True` if node ID found in readers array.

#### nodeId

    public UUID nodeId()

Returns:
  Node ID.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018